"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.recoTheme = void 0;
const utils_1 = require("@vuepress/utils");
const recoTheme = (themeConfig) => {
    const { style } = themeConfig;
    const stylePath = utils_1.path.resolve(process.cwd(), `node_modules/${style}`);
    const getStyleConfig = require(utils_1.path.resolve(`${stylePath}/lib/index.js`)).default;
    const styleConfig = getStyleConfig(themeConfig);
    styleConfig.plugins = [
        '@vuepress/plugin-git',
        '@vuepress/plugin-search',
        '@vuepress/plugin-prismjs',
        [
            '@vuepress/active-header-links',
            {
                headerLinkSelector: 'a.page-header-item',
            },
        ],
        ...styleConfig.plugins,
    ];
    return {
        name: 'vuepress-theme-reco',
        layouts: utils_1.path.resolve(process.cwd(), `node_modules/${style}/lib/client/layouts`),
        ...styleConfig,
    };
};
exports.recoTheme = recoTheme;
exports.default = exports.recoTheme;
